LDD(1)

NAME
ldd - Print shared library dependencies

SYNOPSIS

ldd [-ruv] FILE...

ldd -h | -V

OPTIONS

      -h, --help              print this help and exit
      -V, --version           print version information and exit
      -r, --function-relocs   process data and function relocations
                              (currently unimplemented)
      -u, --unused            print unused direct dependencies
                              (currently unimplemented)
      -v, --verbose           print all information
                              (currently unimplemented)

DESCRIPTION

ldd prints the shared libraries (DLLs) loaded when running an executable or DLL.

  Security

ldd invokes the Windows loader on the file specified, then uses the Windows debugging interface to report DLLs loaded, and (for executables) to attempt to stop execution before the entrypoint. Thus, you should never use ldd on an untrusted file.

COPYRIGHT

Copyright © Cygwin authors

Permission is granted to make and distribute verbatim copies of this documentation provided the copyright notice and this permission notice are preserved on all copies.

Permission is granted to copy and distribute modified versions of this documentation under the conditions for verbatim copying, provided that the entire resulting derived work is distributed under the terms of a permission notice identical to this one.

Permission is granted to copy and distribute translations of this documentation into another language, under the above conditions for modified versions, except that this permission notice may be stated in a translation approved by the Free Software Foundation.